Subject: [ippm] a flag proposal to draft-ietf-ippm-ioam-data

From: Tianran Zhou <[email-masked]>
Date: Tue, 19 Mar 2019 09:50:36 +0000

Hi Authors,

Here I am going to propose a flag bit to indicate the important data for IOAM tracing mode.
Although I see the Flag is used up in the latest draft-ietf-ippm-ioam-data-05, I want to see the proposed feature can be implemented in some way.

As we can see, the IOAM tracing mode will generate large amount of data to export at the tail node. 
This will cost a lot of export bandwidth, and collector/analytics will suffer the big data processing.
So I am thinking an easy way to reduce the exporting data.
This proposal is to use a flag bit to indicate the important data.
Initially, the flag is unset. Whenever a transit node feel the data is important to notice the collector, it sets the flag. For example, when the buffer breach the ECN water mark, or the transit delay breach the threshold. 
At the tail node, only the tagged packet will trigger the metadata export.

What's your thoughts?

Best,
Tianran